For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Create a new variation for a given AI Config.
The model in the request body requires a modelName and parameters, for example:
"model": {
"modelName": "claude-3-opus-20240229",
"parameters": {
"max_tokens": 1024
}
}
curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/{configKey}/variations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"judgeConfiguration": {
"judges": [
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
}
]
},
"instructions": "instructions",
"toolKeys": [
"toolKeys",
"toolKeys"
],
"name": "name",
"description": "description",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"modelConfigKey": "modelConfigKey",
"tools": [
{
"version": 0,
"key": "key"
},
{
"version": 0,
"key": "key"
}
],
"key": "key"
}
'{
"judgeConfiguration": {
"judges": [
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
}
]
},
"instructions": "instructions",
"color": "color",
"_links": {
"parent": {
"href": "href",
"type": "type"
}
},
"description": "description",
"modelConfigKey": "modelConfigKey",
"judgingConfigKeys": [
"judgingConfigKeys",
"judgingConfigKeys"
],
"version": 1,
"tools": [
{
"customParameters": {
"key": ""
},
"version": 2,
"key": "key"
},
{
"customParameters": {
"key": ""
},
"version": 2,
"key": "key"
}
],
"createdAt": 6,
"_publishedAt": 5,
"_archivedAt": 5,
"name": "name",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"_id": "_id",
"state": "state",
"key": "key"
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
AI Config variation object to create
Human-readable description of this variation
Returns the description for the agent. This is only returned for agent variations.
Returns the instructions for the agent. This is only returned for agent variations.
Show child attributes
List of tools to use for this variation. The latest version of the tool will be used.
Show child attributes
List of tool keys to use for this variation. The latest version of the tool will be used.
Show child attributes
{
"judges": [
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
}
]
}AI Config variation created
Show child attributes
{
"parent": { "href": "href", "type": "type" }
}Returns the description for the agent. This is only returned for agent variations.
Returns the instructions for the agent. This is only returned for agent variations.
Show child attributes
Show child attributes
Show child attributes
{
"judges": [
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
}
]
}curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-configs/{configKey}/variations \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"judgeConfiguration": {
"judges": [
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
}
]
},
"instructions": "instructions",
"toolKeys": [
"toolKeys",
"toolKeys"
],
"name": "name",
"description": "description",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"modelConfigKey": "modelConfigKey",
"tools": [
{
"version": 0,
"key": "key"
},
{
"version": 0,
"key": "key"
}
],
"key": "key"
}
'{
"judgeConfiguration": {
"judges": [
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
},
{
"samplingRate": 0.7061401,
"judgeConfigKey": "judgeConfigKey"
}
]
},
"instructions": "instructions",
"color": "color",
"_links": {
"parent": {
"href": "href",
"type": "type"
}
},
"description": "description",
"modelConfigKey": "modelConfigKey",
"judgingConfigKeys": [
"judgingConfigKeys",
"judgingConfigKeys"
],
"version": 1,
"tools": [
{
"customParameters": {
"key": ""
},
"version": 2,
"key": "key"
},
{
"customParameters": {
"key": ""
},
"version": 2,
"key": "key"
}
],
"createdAt": 6,
"_publishedAt": 5,
"_archivedAt": 5,
"name": "name",
"messages": [
{
"role": "role",
"content": "content"
},
{
"role": "role",
"content": "content"
}
],
"comment": "comment",
"model": "{}",
"_id": "_id",
"state": "state",
"key": "key"
}